> For the complete documentation index, see [llms.txt](https://docs.moxha.dev/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.moxha.dev/documentation/paid-scripts/surround-spatial-audio/api/shared.md).

# Shared

### Create Sound Id

```lua
local soundId = exports['mx-surround']:createUniqueId()
```

#### Returns

* > `string`

### Get Info From Url

You can get information such as thumbnail, avatar and song url with this export.

```lua
local info = exports['mx-surround']:getInfoFromUrl(url)
```

#### Parameters

* > **url**: `string`

#### Returns

> Success

* ```typescript
  title: string; 
  artist: string; 
  thumbnail: string
  ```

> Error

* > `false`

***

### Search Track

With this export you can search for tracks by song name. This will also return information as with `getInfoFromUrl`

```lua
local response = exports['mx-surround']:searchTrack(query)
```

#### Parameters

* > **query**: `string`

#### Returns

> Success

* > ```typescript
  > artists: { artistId: string, name: string }[];
  > artist?: { artistId: string, name: string };
  > videoId?: string;
  > name: string;
  > album?: { albumId: string, name: string }[];
  > thumbnails: { url: string, width: number, height: number }[];
  > ```

> Error

* > ```typescript
  > error: string;
  > code: number;
  > ```

***

### Search Tracks (Playlist, album)

With this export you can get album and playlist information. It returns exactly the same information as `searchTrack`. However it's an array. Its not supports the soundcloud

```lua
local response = exports['mx-surround']:searchTracks(query)
```

#### Parameters

* > **query**: `string`

#### Returns

* > **Same as** `searchTrack`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.moxha.dev/documentation/paid-scripts/surround-spatial-audio/api/shared.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
